Error
A valid request URL is required to generate request examples{
"data": [
{
"name": "<string>",
"version": "<string>",
"status": "ACTIVE",
"network": "<string>",
"health": "HEALTHY",
"synced": true,
"graphql_endpoint": "<string>",
"private_graphql_endpoint": "<string>",
"public_endpoint_enabled": true,
"private_endpoint_enabled": true,
"description": "<string>",
"deployments": [
{
"deployment_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"health": "HEALTHY",
"synced": true,
"fatal_error": "<string>",
"non_fatal_errors": [
"<string>"
],
"indexing_progress": {
"network": "<string>",
"progress_percent": 123,
"chain_head_block": 123,
"deployment_head_block": 123,
"deployment_start_block": 123,
"synced": true
}
}
],
"tag": {
"target_version": "<string>"
}
}
],
"pagination": {
"next_page_token": "<string>",
"page_size": 123
}
}Get a subgraph
Get all tags and versions of a subgraph by name.
GET
/
subgraphs
/
{name}
Error
A valid request URL is required to generate request examples{
"data": [
{
"name": "<string>",
"version": "<string>",
"status": "ACTIVE",
"network": "<string>",
"health": "HEALTHY",
"synced": true,
"graphql_endpoint": "<string>",
"private_graphql_endpoint": "<string>",
"public_endpoint_enabled": true,
"private_endpoint_enabled": true,
"description": "<string>",
"deployments": [
{
"deployment_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"health": "HEALTHY",
"synced": true,
"fatal_error": "<string>",
"non_fatal_errors": [
"<string>"
],
"indexing_progress": {
"network": "<string>",
"progress_percent": 123,
"chain_head_block": 123,
"deployment_head_block": 123,
"deployment_start_block": 123,
"synced": true
}
}
],
"tag": {
"target_version": "<string>"
}
}
],
"pagination": {
"next_page_token": "<string>",
"page_size": 123
}
}Authorizations
API token generated from the Goldsky Dashboard. Pass as: Authorization: Bearer
Path Parameters
Pattern:
^[a-zA-Z][\w-]*$Was this page helpful?